<?php

require_once(dirname(dirname(__FILE__)) . '/app.php');
need_login();


$act = strval($_GET['act']);
if(empty($act)) $act = strval($_POST['act']);

switch($act){
    case 'cart_add':
        cart_add();
        break;
    case 'cart_del':
        cart_del();
        break;
    case 'cart_modiQuantity':
        cart_modiQuantity();
        break;
    case 'cart_sum':
        cart_sum();
        break;
}
function cart_del(){
    $item_id = strval($_GET['id']);
    if(!$item_id) return false;
    $ret = OCart::delItem($item_id);
    if($ret!=false){
        echo "{\"cls\":\"success\",\"text\":\"所选产品成功删除！\"}";
    }else{
        echo "{\"cls\":\"error\",\"text\":\"产品添加失败！\"}";
    }
}

function cart_add(){
    $item_id = strval($_GET['id']);
    if(!$item_id) return false;
    $cart_item = OCart::hasItem($item_id);
    if(false == $cart_item){
        $ret = OCart::addItem($item_id,1);
    }else{
        $ret = Ocart::modiQuantity($cart_item['id'], $cart_item['quantity']+1);
    }
    
    if($ret!==false){
        echo "{\"cls\":\"success\",\"text\":\"所选产品添加成功！\"}";
    }else{
        echo "{\"cls\":\"error\",\"text\":\"产品添加失败！\"}";
    }
}
function cart_modiQuantity(){
    $item_id = strval($_GET['id']);
    $quantity = strval($_GET['quantity']);
    if(!$item_id) return false;
    $ret = OCart::modiQuantity($item_id, $quantity);

    if($ret!==false){
        echo "{\"cls\":\"success\",\"text\":\"数量修改成功！\"}";
    }else{
        echo "{\"cls\":\"error\",\"text\":\"操作失败，请联络管理员！\"}";
    }
}
function cart_sum(){
    $sum = OCart::sum();
    
    echo json_encode($sum);
}
?>
